Subject: Re: linux-next : cpuidle - could you add my tree please

From: "Rafael J. Wysocki" <[email-masked]>
Date: Tue, 3 Jul 2012 10:59:13 +0200

On Tuesday, July 03, 2012, Daniel Lezcano wrote:
> On 07/02/2012 09:49 PM, Rafael J. Wysocki wrote:
> > On Monday, July 02, 2012, Daniel Lezcano wrote:
> >>
> >> On 07/02/2012 11:09 AM, Linus Walleij wrote:
> >>> On Mon, Jun 25, 2012 at 3:27 PM, Daniel Lezcano
> >>> <[email-masked]> wrote:
> >>>
> >>>> we discussed last week to put in place a tree grouping the cpuidle
> >>>> modifications [1]. Is it possible to add the tree ?
> >>>>
> >>>> git://git.linaro.org/people/dlezcano/cpuidle-next.git #cpuidle-next
> >>>
> >>> Thanks for doing this.
> >>>
> >>> Since MAINTAINERS is lacking a listed maintainer for cpuidle,
> >>> are you also going to add yourself as maintainer and list this
> >>> tree in that file, or is this a one-time exercise?
> >>
> >> I will be glad to do that if Len and Rafael agree on that.
> > 
> > Len Brown has been a cpuidle maintainer for some time now.  Moreover,
> > he's been taking patches, but Linus refused to pull his entire tree during the
> > last merge window (as you probably know).  I honestly don't think this is
> > a good enough reason for replacing him as a cpuidle maintainer by force.
> > 
> > So, you should ask Len whether or not he's willing to pass the cpuidle
> > maintenance to someone else.
> 
> No, no. You are misunderstanding what I am proposing. I don't want to
> replace Len I just want to act as a "proxy". I understand a maintainer
> can be busy and could not have enough time to take care of the subsystem
> is maintaining during a period because he's too busy for that.
> Trust me, I fully understand that :)
> 
> As there are a lot of modifications of cpuidle, I am proposing to take
> the patches when they are acked-by, to create a consolidated tree,
> providing a better integration for cpuidle, a wider testing, preventing
> conflicts and facilitating Len's work if he agrees to pull from this tree.
> 
> If that makes sense to add myself to the MAINTAINER file as a
> co-maintainer (understand: send to me also the patches, so I can take
> care of them if Len does not respond), I am ok with that.
> 
> It is just about helping :)

Cool. :-)

So do you have a branch in the cpuidle-next.git tree that isn't going to
be rebased?
 
> > I know that Len hasn't been responsive recently, but I also know that he
> > _does_ respond to inquiries sent directly to him.
> 
> Do you mean to its intel address ?

Yes, CCing the Len's Intel address won't hurt I think.

Thanks,
Rafael